
Smart Proxy - Feature #12715

As a user I would like to know if the Proxy's available plugins are up and running and if they are not

running why they did not load 

12/07/2015 03:34 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/358,

https://github.com/theforeman/smart-pro

xy/pull/367,

https://github.com/theforeman/smart-pro

xy/pull/368

  

Description

Related issues:

Related to Smart Proxy - Feature #11798: Standard smart proxy interface for m... Resolved

Related to Smart Proxy - Feature #8092: Implement logfiles proxy plugin New 10/24/2014

Related to Smart Proxy - Bug #15028: Log buffer API initialized log message i... Closed 05/12/2016

Blocks Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 91d4aa69 - 01/25/2016 06:59 AM - Lukas Zapletal 

Fixes #12715 - simple log buffer and API

Revision 02f993f6 - 01/27/2016 05:41 AM - Dominic Cleal

refs #12715 - update default values of log_buffer settings

Removed log_buffer_level from default settings as it appears to be

unused.

Revision e26eb4f3 - 01/27/2016 10:27 AM - Lukas Zapletal 

Refs #12715 - decoupled logs API from core

History

#1 - 12/07/2015 03:47 AM - Shlomi Zadok

- Blocked by Tracker #12507: Smart Proxy UX improvments added

#2 - 12/10/2015 11:01 AM - Dominic Cleal

- Related to Feature #11798: Standard smart proxy interface for module statuses added

#3 - 12/10/2015 11:01 AM - Dominic Cleal

I can't tell from the title if this is in the right project, it's missing a description (again).  It may depend on, or duplicate #11798.

#4 - 12/14/2015 02:50 AM - Shlomi Zadok

- Blocked by deleted (Tracker #12507: Smart Proxy UX improvments)

#5 - 12/14/2015 02:50 AM - Shlomi Zadok
- Blocks Tracker #12507: Smart Proxy UX improvments added

#6 - 01/13/2016 02:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/358 added

#7 - 01/18/2016 03:02 AM - Lukas Zapletal

- Project changed from Foreman to Smart Proxy

- Category set to Core

Changing component to smart-proxy. For the UI part, we need another ticket.

#8 - 01/25/2016 07:05 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 91d4aa695b048b787d3268450bf386b05f540c67.

#9 - 01/25/2016 07:36 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#10 - 01/27/2016 02:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/367 added

#11 - 01/27/2016 04:02 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/368 added

#12 - 05/01/2016 12:12 PM - Anonymous

- Related to Feature #8092: Implement logfiles proxy plugin added

#13 - 05/12/2016 11:19 AM - Dominic Cleal

- Related to Bug #15028: Log buffer API initialized log message is missing capacity information added
